Show License

Shows a license’s details.

GET https://api.keyzy.io/v2/licenses/show-license/{serial-number}?app_id=XXXXXX&api_key=XXXXXXXXXXXXXXXXX

Variables

VariableDescription
serial-numberserial number

Parameters

ParameterDescription
app_idAn app_id that has read permission
api_keyAn api_key that has read permission

Returns

Success

{
  "data": {
    "id": "int",
    "dealer_id": "int",
    "dealer_name": "string",
    "sku_id": "int",
    "sku_name": "string",
    "sku_number": "string",
    "sku_upgrade": "string",
    "sku_url": "string",
    "image_url": "string",
    "serial": "string",
    "definer": "string",
    "name": "string",
    "email": "string",
    "type": "perpetual|subscription|trial",
    "start_at": "unix timestamp",
    "end_at": "unix timestamp",
    "registered": "bool",
    "created_at": "timestamp",
    "updated_at": "timestamp"
  }
}

Errors

You are not authorized

{
  "error": {
    "message": "You are not authorized!",
    "status_code": 401
  }
}

License does not exist!

{
  "error": {
    "message": "License does not exist!",
    "status_code": 401
  }
}